VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   7785
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   9315
   LinkTopic       =   "Form1"
   ScaleHeight     =   7785
   ScaleWidth      =   9315
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_Load()
Dim CurBone As Long ' this is a counter to go through all the bones systematically, regardless of loop
Dim RootParents() As Long ' this keeps track of which bone is at which point in the "spine" of the grid

Module1.init ' creates filesystemobject and text file

CurBone = 0 ' sets curbone to zero
Bones(0).Parent = -1 ' this will be our root bone
SIZEGRID = 3 ' the size of the grid.

ReDim Preserve RootParents(SIZEGRID) ' makes sure that rootparents is a big enough array

For x = 1 To SIZEGRID ' this sets up the spine of bones
    CurBone = CurBone + 1
    Bones(CurBone).Parent = x - 1 ' each bone has a parent of the bone ahead of it
Next x

For x = 1 To SIZEGRID ' this sets of the first row of bones that are sideways
    CurBone = CurBone + 1
    Bones(CurBone).Parent = CurBone - SIZEGRID ' this sets it's parent to the bone in the spine appropriate
    Bones(CurBone).Corner = True ' makes it a corner, so when it is writing files, it will set the orientation
    RootParents(x) = CurBone ' "remembers" what bone this is at what y coordinate (the array index), so in the next step, it can use it
Next x

For y = 1 To SIZEGRID ' the y size
    For x = 1 To SIZEGRID ' the x size
        If x = 1 Then ' if it the first bone in a row, then it gets attached to the rootparent of that row
            Bones(CurBone).Parent = RootParents(y)
        Else
            Bones(CurBone).Parent = CurBone - 1 ' otherwise, it gets attached to the bone ahead of it
        End If
        Bones(CurBone).Xpos = x ' this is for later, so that you can use cartesian things to it if you want to animate
        Bones(CurBone).Ypos = y
        
        CurBone = CurBone + 1
    Next x
Next y

Module1.OutBones ' outputs the bone data to a figure file, currently called "c:\games\anim8or\bongird.an8"
Text.Close ' closes the text file

End Sub

